Archived: NI-DAQmx and NI-DAQ Driver Support: Signal Conditioning Accessories

Publish Date: Dec 21, 2016 | 2 Ratings | 1.00 out of 5 | Print

Overview

This document has been archived and is no longer updated by National Instruments.

Click here for the latest release of NI-DAQmx.

The following table lists the latest DAQ driver that is supported for various National Instruments Signal Conditioning Accessories. The table also shows which driver can be used with Windows, Linux, Real-Time or Mac OS X.

Table of Contents

  1. Table Key 
  2. Device Table
  3. Additional Resources

1. Table Key 

 B Device works with NI-DAQmx Base
 T Device works with Traditional NI-DAQ (Legacy)
 mx Device works with NI-DAQmx
 NS Device works with NI-Switch
 X Not Supported
 * AI only

 

Back to Top

2. Device Table

Use this table to identify driver support for accessories and OS.
Device Windows LabVIEW RT Linux Mac
SC Accessories Seven Vista XP 2000 NT2 Pharlap4 Linux3 OS X
SC-2040 X X 6.9.3T 6.9.3T 6.9.3T 6.9.3T X X
SC-2042-RTD X X 6.9.3T 6.9.3T 6.9.3T 6.9.3T X X
SC-2043-SG X X 6.9.3T 6.9.3T 6.9.3T 6.9.3T X X
SC-2345 9.3mx 9.3mx 9.3mx
7.4.4T
9.1.1mx
7.4.4T
7.5mx
7.4T
9.3mx
7.4.4T
8.0.1mx X
SC-2350 9.3mx 9.3mx 9.3mx 9.1.1mx 7.5mx 9.3mx 8.0.1mx X
SCC-68 9.3mx 9.3mx 9.3mx 9.1.1mx X 9.3mx X X
SCC Series Modules 9.3mx 9.3mx 9.3mx
7.4.4T
9.1.1mx
7.4.4T
7.5mx
7.4T
9.3mx
7.4.4T
8.0.1mx X
AMUX-64T X X 6.9.3T 6.9.3T 6.9.3T 6.9.3T X X

 

Notes 

2. NI-DAQ 6.9.3 or Earlier requires NT Service Pack 4 or greater. NI-DAQ 7.x (Traditional and mx) requires NT Service Pack 6 or greater.

3. For information on supported Linux distributions, visit /linux/support.htm#1 or see the driver readme file.

4. The host system must also support the version of NI-DAQ listed. NI-DAQmx for LabVIEW RT is only supported on Pharlap RT Systems with LabVIEW RT installed.

 

Back to Top

3. Additional Resources

Back to Top

Bookmark & Share


Ratings

Rate this document

Answered Your Question?
Yes No

Submit